<script setup lang="ts">
    import { ref } from 'vue'
    import { useRouter } from 'vue-router'

    const router = useRouter()

    const elusRoutes = router.currentRoute.value.matched.find(
        (record) => record.name === 'elus-service-offer-root'
    )?.children
    const activeRoute = ref(router.currentRoute.value.name)
</script>

<template>
    <v-tabs v-model="activeRoute" show-arrows>
        <v-tab
            v-for="elusRoute in elusRoutes"
            :key="elusRoute.path"
            :data-cy="`btn-elus-menu-item-${elusRoute.name?.toString()}`"
            variant="text"
            :rounded="false"
            stacked
            :value="elusRoute.name"
            :prepend-icon="elusRoute.meta?.icon as string | undefined"
            @click="router.push({ name: elusRoute.name })"
        >
            {{ elusRoute.meta?.title }}
        </v-tab>
    </v-tabs>
</template>
